質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

ただいまの
回答率

90.53%

  • Python 2.7

    1427questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。

Anaconda2でPyQt4をインストールするには

解決済

回答 1

投稿 編集

  • 評価
  • クリップ 0
  • VIEW 3,147

kasaburanka

score 142

お世話になります。
Anaconda2 64bitへPyQt4をインストールする方法が知りたいです
Python27へはOyQt4-4.10.4-gpl...exeを使えばインストールできると思いますがAnaconda2 64bitへはどのようにしたらよいですか
ご存知の方お教えください。
OsはWin10です

  • 気になる質問をクリップする

    クリップした質問は、後からいつでもマイページで確認できます。

    またクリップした質問に回答があった際、通知やメールを受け取ることができます。

    クリップを取り消します

  • 良い質問の評価を上げる

    以下のような質問は評価を上げましょう

    • 質問内容が明確
    • 自分も答えを知りたい
    • 質問者以外のユーザにも役立つ

    評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

    質問の評価を上げたことを取り消します

  • 評価を下げられる数の上限に達しました

    評価を下げることができません

    • 1日5回まで評価を下げられます
    • 1日に1ユーザに対して2回まで評価を下げられます

    質問の評価を下げる

    teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

    • プログラミングに関係のない質問
    • やってほしいことだけを記載した丸投げの質問
    • 問題・課題が含まれていない質問
    • 意図的に内容が抹消された質問
    • 広告と受け取られるような投稿

    評価が下がると、TOPページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

    質問の評価を下げたことを取り消します

    この機能は開放されていません

    評価を下げる条件を満たしてません

    評価を下げる理由を選択してください

    詳細な説明はこちら

    上記に当てはまらず、質問内容が明確になっていない質問には「情報の追加・修正依頼」機能からコメントをしてください。

    質問の評価を下げる機能の利用条件

    この機能を利用するためには、以下の事項を行う必要があります。

回答 1

checkベストアンサー

0

コマンドプロンプトから conda install などは試されましたか?
anacondaでは基本的に上記のような方法を用いてパッケージを入れるようです。
以下は参考になりそうです。
conda で python の環境つくり 
How to install PyQt4 in anaconda?

投稿

  • 回答の評価を上げる

    以下のような回答は評価を上げましょう

    • 正しい回答
    • わかりやすい回答
    • ためになる回答

    評価が高い回答ほどページの上位に表示されます。

  • 回答の評価を下げる

    下記のような回答は推奨されていません。

    • 間違っている回答
    • 質問の回答になっていない投稿
    • スパムや攻撃的な表現を用いた投稿

    評価を下げる際はその理由を明確に伝え、適切な回答に修正してもらいましょう。

  • 2017/03/10 09:35

    ありがとうございます。condaでinstallしましてsite-packageに入りました。
    そして下記を試しました
    Python 2.7.12 |Anaconda 4.2.0 (64-bit)| (default, Jun 29 2016, 11:07:13) [MSC v.1500 64 bit (AMD64)] on win32
    Type "help", "copyright", "credits" or "license" for more information.
    Anaconda is brought to you by Continuum Analytics.
    Please check out: http://continuum.io/thanks and https://anaconda.org
    >>> import sys
    >>> from PyQt4 import QtGui QtCore
    File "<stdin>", line 1
    from PyQt4 import QtGui QtCore
    ^
    SyntaxError: invalid syntax
    このようにErrorが返ります。原因は何なのでしょうか?

    キャンセル

  • 2017/03/10 11:02

    それはよかったです。
    invalid syntax なので構文エラーではないでしょうか。
    Qt.Gui とQtCore の間に「,」が無いようです、試しに追加してみてください。

    キャンセル

  • 2017/03/10 14:25

    出来ました。ありがとうございます。
    Anaconda2が不具合のため(トラブル)再度インストールし直して遣りましたら正常にimportできました。ありがとうございます。

    キャンセル

同じタグがついた質問を見る

  • Python 2.7

    1427questions

    Python 2.7は2.xシリーズでは最後のメジャーバージョンです。Python3.1にある機能の多くが含まれています。